examples.jmarkov

## Class BBPhBufExp

- java.lang.Object
- - jmarkov.MarkovProcess<examples.jmarkov.BBPhBufSt,examples.jmarkov.BBPhBufEv>
  - - examples.jmarkov.BBPhBuf
    - - examples.jmarkov.BBPhBufExp

- All Implemented Interfaces:
    JMarkovElement

      public class BBPhBufExp
      extends BBPhBuf

  This class model a Bucket Brigades production line with phase type service times.
  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jmarkov.MarkovProcess

      `MarkovProcess.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBPhBufExp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `BottelNeckAfter()`
    `static void` | `BottelNeckBefore()`
    `static void` | `bufferVariation()`
    `static void` | `bufferVariation(int workers, int stations, double[][] velocities, ContPhaseVar[] vars, boolean[] buffer, int maxBuff, java.io.FileWriter file, java.lang.String description, int debugLevel)`
    `static void` | `main(java.lang.String[] s)`
    `static void` | `modelPrinting(int workers, int[] bufferCaps, int stations, double[][] velocities, ContPhaseVar[] vars, java.lang.String description, boolean printHeads, java.io.BufferedWriter output, int debugLevel)`

    - ### Methods inherited from class examples.jmarkov.BBPhBuf

      `active, activeTransitions, description, getAbsorptionRate, getReachablePhases, getResetRate, getStartingPhases, getStartingProb, getTransitionRate, printMOPs, rate, revive`

    - ### Methods inherited from class jmarkov.MarkovProcess

      `addMOP, allToString, canGo, clearMOPs, debug, debug, debug, denseMatrixToString, denseMatrixToString, eventRatesToString, eventsRatesToString, generate, getDebugLevel, getDebugReporter, getEventClass, getEventNames, getEventRate, getEvents, getEventsRates, getFinalRate, getGenerator, getMaxStates, getMOPIndex, getMOPNames, getMOPNames, getMOPsAvg, getMOPsAvg, getMOPsAvg, getMOPsMoment, getMOPsMoment, getMOPsMoment, getMtjGenerator, getMtjRates, getNumStates, getProgress, getRate, getRates, getRates, getStateClass, getStates, getStates, getStatus, getStatusMsg, getSteadyState, getSteadyStateSolver, getTransientSolver, go, goStep, hideGUI, isGenerated, killGUI, label, loadGUI, MOPsToString, MOPsToString, numMOPs, pause, printAll, printAll, printDenseMatrix, printDenseMatrix, printEventsRates, printEventsRates, printMOPs, printMOPs, printStates, printStates, reset, resetResults, setDebugLevel, setDebugReporter, setMaxStates, setMOPs, setSteadyStateSolver, setTransientSolver, showGUI, statesLableMaxWidth, statesToString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### BBPhBufExp

          public BBPhBufExp()

  - ### Method Detail

    - #### modelPrinting

          public static void modelPrinting(int workers,
                           int[] bufferCaps,
                           int stations,
                           double[][] velocities,
                           ContPhaseVar[] vars,
                           java.lang.String description,
                           boolean printHeads,
                           java.io.BufferedWriter output,
                           int debugLevel)
                                    throws NotUnichainException,
                                           java.io.IOException

      Parameters:
        `workers` -
        `bufferCaps` -
        `stations` -
        `velocities` -
        `vars` -
        `description` -
        `printHeads` -
        `output` -
        `debugLevel` -
      Throws:
        `NotUnichainException`
        `java.io.IOException`

    - #### bufferVariation

          public static void bufferVariation(int workers,
                             int stations,
                             double[][] velocities,
                             ContPhaseVar[] vars,
                             boolean[] buffer,
                             int maxBuff,
                             java.io.FileWriter file,
                             java.lang.String description,
                             int debugLevel)
                                      throws java.io.IOException,
                                             NotUnichainException

      Parameters:
        `workers` -
        `stations` -
        `velocities` -
        `vars` -
        `buffer` -
        `maxBuff` -
        `file` -
        `description` -
        `debugLevel` -
      Throws:
        `java.io.IOException`
        `NotUnichainException`

    - #### bufferVariation

          public static void bufferVariation()

    - #### BottelNeckBefore

          public static void BottelNeckBefore()

    - #### BottelNeckAfter

          public static void BottelNeckAfter()

    - #### main

          public static void main(java.lang.String[] s)